Package org.gradle.nativeplatform

# Interface StaticLibraryBinarySpec

All Superinterfaces:
  `Binary`, `BinarySpec`, `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `LibraryBinarySpec`, `ModelElement`, `Named`, `NativeBinarySpec`, `NativeLibraryBinarySpec`

@Incubating public interface StaticLibraryBinarySpec extends NativeLibraryBinarySpec
A static library binary built by Gradle for a native library.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`StaticLibraryBinarySpec.TasksCollection`
Provides access to key tasks used for building the binary.

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`void`
`additionalLinkFiles(FileCollection files)`
Add some additional files required by consumers of this library at link time.
`File`
`getStaticLibraryFile()`
The static library file.
`StaticLibraryBinarySpec.TasksCollection`
`getTasks()`
The set of tasks associated with this binary.
`void`
`setStaticLibraryFile(File staticLibraryFile)`
The static library binary file.

### Methods inherited from interface org.gradle.platform.base.Binary

`getDisplayName`

### Methods inherited from interface org.gradle.platform.base.BinarySpec

`getInputs, getSources, isBuildable`

### Methods inherited from interface org.gradle.api.Buildable

`getBuildDependencies`

### Methods inherited from interface org.gradle.api.BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface org.gradle.api.CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName, getName`

### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

`getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

### Methods inherited from interface org.gradle.nativeplatform.NativeLibraryBinarySpec

`getComponent, getLibrary`

## Method Details

### getStaticLibraryFile

File getStaticLibraryFile()
The static library file.

### setStaticLibraryFile

void setStaticLibraryFile(File staticLibraryFile)
The static library binary file.

### additionalLinkFiles

void additionalLinkFiles(FileCollection files)
Add some additional files required by consumers of this library at link time.

### getTasks

StaticLibraryBinarySpec.TasksCollection getTasks()
The set of tasks associated with this binary.

Specified by:
  `getTasks` in interface `BinarySpec`